import request from '@/utils/request'

// 查询动态审核列表
export function listDynamic(query) {
  return request({
    url: '/xq/dynamic/list',
    method: 'get',
    params: query
  })
}

// 查询动态审核详细
export function getDynamic(id) {
  return request({
    url: '/xq/dynamic/' + id,
    method: 'get'
  })
}

// 新增动态审核
export function addDynamic(data) {
  return request({
    url: '/xq/dynamic',
    method: 'post',
    data: data
  })
}

// 修改动态审核
export function updateDynamic(data) {
  return request({
    url: '/xq/dynamic',
    method: 'put',
    data: data
  })
}

// 删除动态审核
export function delDynamic(id) {
  return request({
    url: '/xq/dynamic/' + id,
    method: 'delete'
  })
}


export function dynamicAuditSuccess(data) {
  return request({
    url: '/xq/dynamic/audit/success',
    method: 'post',
    data: data
  })
}


export function dynamicAuditFail(data) {
  return request({
    url: '/xq/dynamic/audit/fail',
    method: 'post',
    data: data
  })
}
